<?php

	define('INSIDE' , true);
	define('INSTALL' , false);
	require_once dirname(__FILE__) . '/common.php';
	require_once dirname(__FILE__) . '/includes/constants_starpass.php';
	
	// Petit nettoyage
	$CurrentTime = time();
	
	$QryDeleteCodes = <<<SQL
DELETE 	* 
FROM 	{{table}} 
WHERE 	`LimitTime` < '{$CurrentTime}'
SQL;
	
	doquery($QryDeleteCodes, 'codes');
	
	// Dclaration & Initialisation des variables
	$var = array();
	$Codes = array('NULL', 'NULL', 'NULL', 'NULL', 'NULL');
	
	//Rcupration des identifiants sous la forme "xxx;xxx;xxx"
	if(isset($_POST['idp']))
		$var['idp'] = $_POST['idp'];		
	if(isset($_POST['ids'])) 
		$var['ids'] = $_POST['ids'];
		
	// $ids n'est plus utilis, mais il faut conserver la variable pour une question de compatibilit
	if(isset($_POST['idd']))
		$var['idd'] = $_POST['idd'];
		
	$var['ident'] = "{$var['idp']};{$var['ids']};{$var['idd']}";
	
	//On rcupre le(s) code(s) sous la forme "xxxxxxxx;xxxxxxxx"
	if(isset($_POST['code1']) && !empty($_POST['code1']))
	{
		$Codes['code1'] = mysql_real_escape_string($_POST['code1']);
		
		if(isset($_POST['code2']) && !empty($_POST['code2']))
		{
			$Codes['code2'] = mysql_real_escape_string($_POST['code2']);
			
			if(isset($_POST['code3']) && !empty($_POST['code3']))
			{
				$Codes['code3'] = mysql_real_escape_string($_POST['code3']);
				
				if(isset($_POST['code4']) && !empty($_POST['code4']))
				{
					$Codes['code4'] = mysql_real_escape_string($_POST['code4']);
					
					if(isset($_POST['code5']) && !empty($_POST['code5']))
						$Codes['code5'] = mysql_real_escape_string($_POST['code5']);
				}
			}
		}
	}
	
	// Petite vrification si l'un des codes n'a pas t dj saisi
	// Faudrait pas que quelqu'un triche en entrant de nouveau son code
	$QryVerifCode = <<<SQL
SELECT 	COUNT(*) AS `nbre` 
FROM 	{{table}} 
WHERE 	CONCAT(`code1`, `code2`, `code3`, `code4`, `code5`) LIKE "%{$Codes['code1']}%" OR 
		CONCAT(`code1`, `code2`, `code3`, `code4`, `code5`) LIKE "%{$Codes['code2']}%" OR 
		CONCAT(`code1`, `code2`, `code3`, `code4`, `code5`) LIKE "%{$Codes['code3']}%" OR 
		CONCAT(`code1`, `code2`, `code3`, `code4`, `code5`) LIKE "%{$Codes['code4']}%" OR 
		CONCAT(`code1`, `code2`, `code3`, `code4`, `code5`) LIKE "%{$Codes['code5']}%"
SQL;
	
	$VerifCode = doquery($QryVerifCode, 'codes', true);
	
	if ($VerifCode['nbre'] > 0)
		message("L'un des codes que vous avez entr&eacute; a d&eacute;j&agrave; &eacute;t&eacute; utilis&eacute;.", "Information");
		
	$var['codes'] = implode(";", $Codes);
	
	//On rcupre le champ DATAS"
	if(isset($_POST['DATAS']))
		$var['datas'] = $_POST['DATAS'];
		
	//On encode les trois chaines en URL
	$ident = urlencode($var['ident']);
	$codes = urlencode($var['codes']);
	$datas = urlencode($var['datas']);

	/* Envoie de la requte vers le serveur StarPass
	Dans la variable tab[0] on rcupre la rponse du serveur
	Dans la variable tab[1] on rcupre l'URL d'accs ou d'erreur suivant la rponse du serveur */
	try
	{
		$result = file("http://script.starpass.fr/check_php.php?ident={$ident}&codes={$codes}&DATAS={$datas}");
	}
	catch(Exception $e)
	{
		message($e->getMessage(), "Interception d'une erreur");
	}

	$tab = explode("|", $result[0]);

	//Si $tab[0] ne contient pas "OUI", l'accs est refus
	//On redirige sur l'URL d'erreur
	if( substr($tab[0], 0, 3) != "OUI" )
	{
		  header("Location: " . URL_ERROR);
		  exit;
	}
	else
	{
		// Le serveur a rpondu "OUI"
	
		$Time = time() + 3600;
		
		$QryInsertCodes = <<<SQL
INSERT INTO {{table}} 
SET 		`code1` = '{$Codes['code1']}', 
			`code2` = '{$Codes['code2']}', 
			`code3` = '{$Codes['code3']}', 
			`code4` = '{$Codes['code4']}', 
			`code5` = '{$Codes['code5']}', 
			`LimitTime` = '{$Time}'
SQL;
		doquery($QryInsertCodes, 'codes');
		
		$NbreCodes = count($Codes);
		
		$QryIncreaseBonus = <<<SQL
UPDATE 	{{table}} 
SET 	`points_bonus` = `pointbonus` + '{$NbreCodes}' 
WHERE 	`id` = '{$user['id']}'
SQL;
		doquery($QryIncreaseBonus, 'users');
		
		message("Votre compte a &eacute;t&eacute; cr&eacute;dit&eacute; de {$NbreCodes} point(s) bonus en plus. Merci", "Information");
	}
